Issue a Service Account Token

This endpoint issues a new access token using the credentials of a service account.
The token must be used for authenticating subsequent API requests.
Ensure that valid service account credentials are included in the request body.

Body Params
uuid
required
string
required
Responses

{
  "access_token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",
  "refresh_token": "8xLOxBatCN8fDrMHtkX1uDgeHxWxhoJDl...",
  "expires_in": 3600
}

{
  "error": "ERROR_INVALID_PUBLIC_KEY",
  "message": "Public key is invalid",
  "statusCode": 400
}

{
  "error": "ERROR_MERCHANT_BLOCKED",
  "message": "Merchant is blocked",
  "statusCode": 403
}

{
  "error": "ERROR_INVALID_CREDENTIALS",
  "message": "Credentials are invalid or account not found",
  "statusCode": 404
}
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json